/*
 * VS10XX SPI Devices
 */
 
#include <mach/gpio.h>// pin numbers
#include <linux/spi/spi.h>// struct spi_board_info

#include "vs1053.h"// struct vs1053_board_info and device names

struct vs1053_board_info vs1053_device_1 = {
	.device_id  = 0,
	.gpio_reset = -1,
	.gpio_dreq  = AT91_PIN_PA26,
};

struct vs1053_board_info vs1053_device_2 = {
	.device_id  = 1,
	.gpio_reset = -1,
	.gpio_dreq  = AT91_PIN_PA27,
};

struct vs1053_board_info vs1053_device_3 = {
	.device_id  = 2,
	.gpio_reset = -1,
	.gpio_dreq  = AT91_PIN_PA28,
};

struct vs1053_board_info vs1053_device_4 = {
	.device_id  = 3,
	.gpio_reset = -1,
	.gpio_dreq  = AT91_PIN_PA29,
};

static struct spi_board_info spi_vs1053_devices[] = {
/* device 1 */
	{	/* SPI device 1 on bus 1, cs 0 */
		.modalias      = VS1053_SPI_CTRL,
		.bus_num       = 0,
		.chip_select   = 2,
		.controller_data = (void*) AT91_PIN_PA3,
		.platform_data = &vs1053_device_1,
		.max_speed_hz   = 2 * 1000 * 1000,
	},
	{	/* SPI device 1 on bus 1, cs 1 */
		.modalias      = VS1053_SPI_DATA,
		.bus_num       = 0,
		.chip_select   = 3,
		.controller_data = (void*) AT91_PIN_PB3,
		.platform_data = &vs1053_device_1,
		.max_speed_hz   = 15 * 1000 * 1000,
	},
/* device 2 */
	{	/* SPI device 2 on bus 1, cs 2 */
		.modalias      = VS1053_SPI_CTRL,
		.bus_num       = 0,
		.chip_select   = 4,
		.controller_data = (void*) AT91_PIN_PA4,
		.platform_data = &vs1053_device_2,
		.max_speed_hz   = 2 * 1000 * 1000,
	},
	{	/* SPI device 2 on bus 1, cs 3 */
		.modalias      = VS1053_SPI_DATA,
		.bus_num       = 0,
		.chip_select   = 5,
		.controller_data = (void*) AT91_PIN_PB4,
		.platform_data = &vs1053_device_2,
		.max_speed_hz   = 15 * 1000 * 1000,
	},
/* device 3 */
	{	/* SPI device 3 on bus 1, cs 4 */
		.modalias      = VS1053_SPI_CTRL,
		.bus_num       = 0,
		.chip_select   = 6,
		.controller_data = (void*) AT91_PIN_PA5,
		.platform_data = &vs1053_device_3,
		.max_speed_hz   = 2 * 1000 * 1000,
	},
	{	/* SPI device 3 on bus 1, cs 4 */
		.modalias      = VS1053_SPI_DATA,
		.bus_num       = 0,
		.chip_select   = 7,
		.controller_data = (void*) AT91_PIN_PB5,
		.platform_data = &vs1053_device_3,
		.max_speed_hz   = 15 * 1000 * 1000,
	},
/* device 4 */
	{	/* SPI device 4 on bus 1, cs 5 */
		.modalias      = VS1053_SPI_CTRL,
		.bus_num       = 0,
		.chip_select   = 8,
		.controller_data = (void*) AT91_PIN_PA6,
		.platform_data = &vs1053_device_4,
		.max_speed_hz   = 2 * 1000 * 1000,
	},
	{	/* SPI device 4 on bus 1, cs 6 */
		.modalias      = VS1053_SPI_DATA,
		.bus_num       = 0,
		.chip_select   = 9,
		.controller_data = (void*) AT91_PIN_PB6,
		.platform_data = &vs1053_device_4,
		.max_speed_hz   = 15 * 1000 * 1000,
	},
};
