/* ------------------------------------------------------------------------------------------------------------------------------
    cue switch main functions.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
   ----------------------------------------------------------------------------------------------------------------------------- */

#include <linux/module.h>

/* ----------------------------------------------------------------------------------------------------------------------------- */
/* MODULE INIT/EXIT                                                                                                              */
/* ----------------------------------------------------------------------------------------------------------------------------- */
#include <mach/gpio.h>// pin numbers

#define SWITCH_0 AT91_PIN_PC8
#define SWITCH_1 AT91_PIN_PC9

int __init switch_init(void) {
	int err = gpio_request(SWITCH_0, "switch 0");
	if (err || gpio_direction_output(SWITCH_0, 0)) {
		printk(KERN_ERR "unable to set GPIO %d for output\n", SWITCH_0);
		gpio_free(SWITCH_0);
		return -1;
	}
	err = gpio_request(SWITCH_1, "switch 1");
	if (err || gpio_direction_output(SWITCH_1, 0)) {
		printk(KERN_ERR "unable to set GPIO %d for output\n", SWITCH_1);
		gpio_free(SWITCH_0);
		gpio_free(SWITCH_1);
		return -1;
	}
	return err;
}

void __exit switch_exit(void)
{
	gpio_free(SWITCH_0);
	gpio_free(SWITCH_1);
}
