/* ------------------------------------------------------------------------------------------------------------------------------
    vs10xx common definitions.
    Copyright (C) 2010 Richard van Paasen <rvpaasen@t3i.nl>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
   ----------------------------------------------------------------------------------------------------------------------------- */

#ifndef VS1053_COMMON_H
#define VS1053_COMMON_H

#include "vs1053.h"

#include <linux/list.h>
#include <linux/device.h>
#include <linux/kdev_t.h>

#define VS1053_NAME "vs1053"

#define AS_MODULE
//#undef AS_MODULE

#define VS1053_KHZ 12288
#define VS1053_USEC(x) ( (((x)*1000) / VS1053_KHZ) + 1)
#define VS1053_MSEC(x) ( ((x) / VS1053_KHZ) + 1)

#define MIN(a,b) ((a)<(b) ? (a) : (b))
#define MAX(a,b) ((a)>(b) ? (a) : (b))

#define vs1053_printk(level, fmt, arg...) \
        printk(level "%s: " fmt "\n", __func__, ## arg)

#define vs1053_err(fmt, arg...) \
        vs1053_printk(KERN_ERR, fmt, ## arg)

#define vs1053_wrn(fmt, arg...) \
        vs1053_printk(KERN_WARNING, fmt, ## arg)

#define vs1053_inf(fmt, arg...) \
        vs1053_printk(KERN_INFO, fmt, ## arg)

#define vs1053_dbg(fmt, arg...)                     \
	do {                                            \
		if (*vs1053_debug > 0)                      \
			vs1053_printk(KERN_DEBUG, fmt, ## arg); \
        } while (0)

#define vs1053_nsy(fmt, arg...)                     \
	do {                                            \
		if (*vs1053_debug > 1)                      \
			vs1053_printk(KERN_DEBUG, fmt, ## arg); \
        } while (0)

extern int *vs1053_debug;

#endif

